Get provider catalog
GET
The providers, models and voices an agent can run on, with the options each model takes. Disabled entries are included so an agent still on one can be named and flagged.
Access: authenticated · any API key
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>Success
application/json- response
providers*array<>models*array<>voices*array<>curl -X GET 'https://api.poc.app.waylovoice.ai/provider-catalog' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
{ "providers": [ { "id": "openai", "name": "string", "voicesDocsUrl": "string", "stages": [ { "stage": "stt", "docsUrl": "string", "options": [ { "key": "string", "type": "number", "label": "string", "description": "string", "min": 0, "max": 0, "step": 0, "unit": "ms", "maxLength": 0, "values": [ "string" ], "default": "string", "languages": [ "string" ], "modelPrefixes": [ "string" ] } ] } ] } ], "models": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "openai", "stage": "stt", "modelId": "string", "name": "string", "languages": [ "string" ], "options": [ { "key": "string", "min": 0, "max": 0, "values": [ "string" ], "default": "string" } ], "status": "enabled", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "voices": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "openai", "voiceId": "string", "name": "string", "gender": "male", "languages": [ "string" ], "modelIds": [ "string" ], "description": "string", "tags": [ "string" ], "accents": [ { "locale": "string", "accent": "string", "native": true } ], "sampleUrl": "http://example.com", "status": "enabled", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}